part of 'forgot_password_bloc.dart';

abstract class ForgotPasswordEvent extends Equatable {
  const ForgotPasswordEvent();

  @override
  List<Object?> get props => [];
}

class ForgotPasswordSubmitted extends ForgotPasswordEvent {
  final String emailAddress;

  const ForgotPasswordSubmitted({required this.emailAddress});

  @override
  List<Object?> get props => [emailAddress];
}

class ForgotPasswordEmailErrorToggled extends ForgotPasswordEvent {
  final bool show;

  const ForgotPasswordEmailErrorToggled(this.show);

  @override
  List<Object?> get props => [show];
}

class ForgotPasswordReset extends ForgotPasswordEvent {
  const ForgotPasswordReset();

  @override
  List<Object?> get props => [];
}